Loading...
Searching...
No Matches
juce::MidiDeviceInfo Struct Reference

## Detailed Description

This struct contains information about a MIDI 1.0 input or output port.

You can get one of these structs by calling the static getAvailableDevices() or getDefaultDevice() methods of MidiInput and MidiOutput or by calling getDeviceInfo() on an instance of these classes. Devices can be opened by passing the identifier to the openDevice() method.

The documentation for this struct was generated from the following file:

- juce_audio_devices/midi_io/juce_MidiDevices.h

## Public Member Functions

| MidiDeviceInfo ()=default
| MidiDeviceInfo (const String &deviceName, const String &deviceIdentifier)
MidiDeviceInfo | withName (String x) const
MidiDeviceInfo | withIdentifier (String x) const
bool | operator== (const MidiDeviceInfo &other) const noexcept
bool | operator!= (const MidiDeviceInfo &other) const noexcept

## Public Attributes

String | name
| The name of this device.
String | identifier
| The identifier for this device.

## Constructors and Destructors

## MidiDeviceInfo() [1/2]

juce::MidiDeviceInfo::MidiDeviceInfo | ( |  | ) |

default

Referenced by operator!=(), operator==(), withIdentifier(), and withName().

## MidiDeviceInfo() [2/2]

juce::MidiDeviceInfo::MidiDeviceInfo | ( | const String & | deviceName,
|  | const String & | deviceIdentifier )

inline

References identifier, and name.

## Member Functions

## withName()

MidiDeviceInfo juce::MidiDeviceInfo::withName | ( | String | x | ) | const

inline nodiscard

References MidiDeviceInfo(), name, juce::withMember(), and x.

## withIdentifier()

MidiDeviceInfo juce::MidiDeviceInfo::withIdentifier | ( | String | x | ) | const

inline nodiscard

References identifier, MidiDeviceInfo(), juce::withMember(), and x.

## operator==()

bool juce::MidiDeviceInfo::operator== | ( | const MidiDeviceInfo & | other | ) | const

inline noexcept

References MidiDeviceInfo(), and x.

Referenced by operator!=().

## operator!=()

bool juce::MidiDeviceInfo::operator!= | ( | const MidiDeviceInfo & | other | ) | const

inline noexcept

References MidiDeviceInfo(), and operator==().

## Member Data Documentation

## name

String juce::MidiDeviceInfo::name

The name of this device.

This will be provided by the OS unless the device has been created with the createNewDevice() method.

Note that the name is not guaranteed to be unique and two devices with the same name will be indistinguishable. If you want to address a specific device it is better to use the identifier.

Referenced by MidiDeviceInfo(), and withName().

## identifier

String juce::MidiDeviceInfo::identifier

The identifier for this device.

This will be provided by the OS and its format will differ on different systems e.g. on macOS it will be a number whereas on Windows it will be a long alphanumeric string.

Referenced by MidiDeviceInfo(), and withIdentifier().

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited